'use strict';

function resizeXY() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref$namespace = _ref.namespace,
      namespace = _ref$namespace === undefined ? '' : _ref$namespace,
      _ref$interval = _ref.interval,
      interval = _ref$interval === undefined ? 500 : _ref$interval;

  var lastWidth = window.outerWidth;
  var lastHeight = window.outerHeight;
  var resizeTimmer = '';

  function checkEvents() {
    var newWidth = window.outerWidth;
    var newHeight = window.outerHeight;

    if (lastWidth !== newWidth) {
      console.log(namespace + 'resize-x');
      var eventX = new CustomEvent(namespace + 'resize-x', { detail: { oldValue: lastWidth, newValue: newWidth } });
      window.dispatchEvent(eventX);
      lastWidth = newWidth;
    }

    if (lastHeight !== newHeight) {
      var eventY = new CustomEvent(namespace + 'resize-y', { detail: { oldValue: lastHeight, newValue: newHeight } });
      window.dispatchEvent(eventY);
      lastHeight = newHeight;
    }
  }

  function run() {
    clearTimeout(resizeTimmer);
    resizeTimmer = setTimeout(checkEvents, interval);
  }

  return run;
}

module.exports = resizeXY;