function resizeXY({namespace='', interval=500} ={}) {
  var lastWidth = window.outerWidth;
  var lastHeight = window.outerHeight;
  var resizeTimmer = '';

  function checkEvents () {
    var newWidth = window.outerWidth;
    var newHeight = window.outerHeight;

    if(lastWidth !== newWidth) {
      console.log(`${namespace}resize-x`)
      let eventX = new CustomEvent(`${namespace}resize-x`, {detail: {oldValue: lastWidth, newValue: newWidth}});
      window.dispatchEvent(eventX);
      lastWidth = newWidth;
    }

    if(lastHeight !== newHeight) {
      let eventY = new CustomEvent(`${namespace}resize-y`, {detail: {oldValue: lastHeight, newValue: newHeight}});
      window.dispatchEvent(eventY);
      lastHeight = newHeight;
    }
  }

  function run() {
    clearTimeout(resizeTimmer);
    resizeTimmer = setTimeout(checkEvents, interval);
  }

  return run;
}


module.exports = resizeXY;